DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Functions
dsrcomvl.h File Reference

definitions for class DSRCompositeReferenceValue More...

## Classes
class | DSRCompositeReferenceValue
| Class for composite reference values. More...

## Functions
DCMTK_DCMSR_EXPORT OFBool | operator== (const DSRCompositeReferenceValue &lhs, const DSRCompositeReferenceValue &rhs)
| equality operator.
DCMTK_DCMSR_EXPORT OFBool | operator!= (const DSRCompositeReferenceValue &lhs, const DSRCompositeReferenceValue &rhs)
| inequality operator.

## Detailed Description

definitions for class DSRCompositeReferenceValue

## Function Documentation

## ◆ operator!=()

DCMTK_DCMSR_EXPORT OFBool operator!= | ( | const DSRCompositeReferenceValue & | lhs,
|  | const DSRCompositeReferenceValue & | rhs )

inequality operator.

Internally, the DSRCompositeReferenceValue::isNotEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are not equal, OFFalse otherwise

## ◆ operator==()

DCMTK_DCMSR_EXPORT OFBool operator== | ( | const DSRCompositeReferenceValue & | lhs,
|  | const DSRCompositeReferenceValue & | rhs )

equality operator.

Internally, the DSRCompositeReferenceValue::isEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are equal, OFFalse otherwise

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2